# create_pipenv_project
A CLI tool for creating Python projects with Pipenv workflow.

## Extra Features
- ✅ **Type Checking:**
Preinstalled with [mypy](https://mypy-lang.org/) + `mypy.ini` configuration file.
- 📝 **Logging:**
Available with nice and colorful format + some other debugging tools.
Uncaught exceptions are also captured to allow error logging for the entire program.
- 🔁 **asyncio:**
Asynchronous programming out of the box using [uvloop](https://github.com/MagicStack/uvloop).
No need to setup your own event loop.
- 🧪 **pytest:**
Run tests with [coverage](https://coverage.readthedocs.io/) + [pytest](https://pytest.org/).
- ✨ **Formatter:**
Preinstalled with [Black](https://pypi.org/project/black/)
Python code formatter for codebase consistency.
- 🐍 **And more!**

## Installation
```bash
pip install create_pipenv_project
```

## Usage
```bash
create_pipenv_project
```
